package com.uas.cloud.mall.carousel.data;

import com.uas.cloud.mall.carousel.domain.Carousel;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 轮播服务数据访问
 *
 * @author yangck
 * @create 2017-02-16 10:42
 */
@Repository
public interface CarouselRepository extends JpaRepository<Carousel, Long> {

    List<Carousel> findByUsedForOrderByOrderNumber(String usedFor);

    Carousel save(Carousel carousel);

    //@Query("select usedFor from Carousel group by usedFor")
    @Query("select DISTINCT c.usedFor from Carousel c")
    List<String> getUsedFor();
}
